#!/bin/sh
# http://www.penguin.cz/~utx/amr
# http://www.3gpp.org/ftp/Specs/archive/26_series/26.104/26104-700.zip
#
# script by: til <rob DOT til DOT freedman AT googlemail DOT com>
set -e -u -x

NAME=amrnb
VERSION=7.0.0.2
ARCH=${ARCH:-i486}
CPU=${CPU:-i686}
BUILD=54.1

PKGNAME=$NAME-$VERSION
PACKAGE=$PKGNAME-$ARCH-$BUILD

URL_SRC=http://ftp.penguin.cz/pub/users/utx/amr/$PKGNAME.tar.bz2
PKG_SRC="$URL_SRC
http://zenwalk.pinguix.com/user-accounts/tilderb/extra/amr/build-amrnb.sh"

CWD=`pwd`
TMP=${TMP:-$CWD}

PKG=$TMP/$PACKAGE
SRC=$TMP/$PKGNAME

[ -d $SRC ] && rm -fr $SRC
[ -d $PKG ] && rm -fr $PKG

# prepare build directory
mkdir -p $PKG/install
mkdir -p $PKG/usr/{src,doc}/$PKGNAME

PKG_AMR=${URL_SRC##*/}
[ ! -e $PKG_AMR ] && wget $URL_SRC

tar xf $CWD/$PKG_AMR -C $TMP
cd $SRC
#./configure --help

CFLAGS="-O2 -march=$ARCH -mtune=$CPU" \
CXXFLAGS="-O2 -march=$ARCH -mtune=$CPU" \
./configure \
  --prefix=/usr

make || exit
make install DESTDIR=$PKG

cp AUTHORS COPYING ChangeLog NEWS README TODO  \
  $PKG/usr/doc/$PKGNAME

# strip symbols
find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs -r strip --strip-unneeded 2> /dev/null
find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs -r strip --strip-unneeded 2> /dev/null
find $PKG | xargs file | grep "current ar archive" | cut -f 1 -d : | xargs -r strip -g 2> /dev/null

# copy build script
cp $CWD/build-amrnb.sh  $PKG/usr/src/$PKGNAME

# slack description
cat <<EOF > $PKG/install/slack-desc
   |-----handy-ruler------------------------------------------------------|
amrnb: amrnb (3GPP AMR Speech Codecs)
amrnb:
amrnb: 3GPP released AMR reference implementations
amrnb:
amrnb: - Adaptive Multi-Rate Floating-point (AMR) Speech Codec
amrnb:   3GPP TS 26.104 V 6.1.0
amrnb:
amrnb: This distribution is for non-commercial purpose only.
amrnb:
amrnb: Ask http://www.3gpp.org for a comvercial license.
amrnb:
EOF

cd $PKG
fakeroot /sbin/makepkg -l y -c n $CWD/$PACKAGE.tgz

cd $CWD
echo "$PKG_SRC" >$PACKAGE.src
md5sum $PACKAGE.tgz > $PACKAGE.md5
:>$PACKAGE.dep

